Bug 104852 - USB keychain drive gets SCSI errors
USB keychain drive gets SCSI errors
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 16:18 EDT by Wade Minter
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 21:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Minter 2003-09-22 16:18:47 EDT
Description of problem:
I had a SanDisk "Cruzer Mini" 128MB keychain drive.  It works on my Mac, as well
as on the WinXP side of my dual-boot Dell.

Under the Linux (severn with updates) side, though, the drive errors out.  I put
the drive in the USB slot, and it seems to get recognized as /dev/sda.  Shortly
thereafter, though, it gets a SCSI error and the light on the drive goes out.  

I believe the drive works under Red Hat Linux 9 on a Compaq laptop at home.

/var/log/messages:
ess 2
Sep 22 16:14:39 localhost kernel: usb.c: USB device 2 (vend/prod 0x781/0x8181)
is not claimed by any active driver.
Sep 22 16:14:42 localhost /etc/hotplug/usb.agent: Setup usb-storage for USB
product 781/8181/125
Sep 22 16:14:42 localhost kernel: Initializing USB Mass Storage driver...
Sep 22 16:14:42 localhost kernel: usb.c: registered new driver usb-storage
Sep 22 16:14:42 localhost kernel: scsi1 : SCSI emulation for USB Mass Storage
devices
Sep 22 16:14:42 localhost kernel:   Vendor: Generic   Model: STORAGE DEVICE   
Rev: 1.25
Sep 22 16:14:42 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Sep 22 16:14:42 localhost kernel: Attached scsi removable disk sda at scsi1,
channel 0, id 0, lun 0
Sep 22 16:14:42 localhost kernel: SCSI device sda: 256000 512-byte hdwr sectors
(131 MB)
Sep 22 16:14:42 localhost kernel: sda: Write Protect is off
Sep 22 16:14:42 localhost kernel:  sda: sda1
Sep 22 16:14:42 localhost kernel: USB Mass Storage support registered.
Sep 22 16:15:43 localhost kernel: hub.c: USB device not accepting new address
(error=-71)
Sep 22 16:15:48 localhost kernel: usb-storage: host_reset() requested but not
implemented
Sep 22 16:15:58 localhost kernel: scsi: device set offline - command error
recover failed: host 1 channel 0 id 0 lun 0
Sep 22 16:15:58 localhost kernel: SCSI error: host 1 id 0 lun 0 return code =
6050000
Sep 22 16:15:58 localhost kernel: ^ISense class 0, sense error 0, extended sense 0
Sep 22 16:15:58 localhost kernel:  sda: I/O error: dev 08:00, sector 0
Sep 22 16:15:58 localhost kernel:  I/O error: dev 08:00, sector 0
Sep 22 16:15:58 localhost kernel:  unable to read partition table
Sep 22 16:15:59 localhost devlabel: devlabel service started/restarted


Version-Release number of selected component (if applicable):
kernel-2.4.22-20.1.2024.2.36.nptl
hotplug-2002_04_01-20.1
libusb-0.1.7-3
libusb-devel-0.1.7-3
usbutils-0.11-2.1

Note You need to log in before you can comment on or make changes to this bug.